<template lang="pug">
	article#etiquetas

		header
			hgroup
				h1 Todas las etiquetas

		.listado
			.item( v-for="e in lista" )
				router-link( :to="{ name: 'etiqueta', params: { id: e.id }}" ) {{e.nombre | capitalizar}}

</template>

<script>
	import Listado from "@/components/Listado";
	import DetalleArchivo from "@/components/DetalleArchivo";
	import { mapState, mapActions, mapMutations } from "vuex";
	import { etiquetas } from "@/api";

	export default {
		name: "Etiquetas",
		components: {
			Listado,
			DetalleArchivo
		},
		data() {
			return {
				lista: []
			};
		},
		created() {
			etiquetas.todas().then(
				datos => {
					this.lista = datos;
				},
				error => {}
			);
		}
	};
</script>

<style lang="stylus" scoped>
	@import "~nib/index"
	@import "../stylus/base/utiles.styl"

	.etiquetas,
	#etiqueta
		display grid
		grid-template-areas "encabezado" "listado"
		grid-template-columns 1fr max-content
		grid-template-rows min-content 1fr
		grid-gap 0 1rem
		align-content start
		align-items start

	header
		grid-area encabezado
		display grid
		justify-content stretch
		justify-items stretch
		grid-template-areas "titulo"
		grid-template-columns 1fr
		grid-gap 0 1rem
		border-bottom 1px solid tint( azul, 60% )
		margin-bottom 1rem
		background-color tint( azul, 80% )
		border-radius .5rem .5rem 0 0

		hgroup
			grid-area titulo
			background-color azul
			color white
			padding .8rem 1rem
			display flex
			border-radius .5rem .5rem 0 0

			h1
				font-weight 500
				line-height 1
				font-size calcRem( 15 )

	.listado
		grid-area listado
		background-color fondo_listado
		display flex
		justify-content space-between
		flex-wrap wrap

		.item
			flex 0 0 15%
			padding .2rem .5rem
			margin .5rem .2rem

			a
				color blanco
				text-decoration none
				font-size calcRem( 14 )
				background-color azul
				white-space nowrap
				line-height 1
				padding .2em .5em
				border-radius 2rem
				margin .1rem .1rem

				&:hover
					font-weight bold
</style>
